from datetime import datetime
import pytz
import json
from app.shared import db_init

# Returns the current time in
def utcnow():
    return datetime.now(tz=pytz.utc).isoformat()

def add_user():
    users = db_init.db.users

    # languages classification
    # 0 = unknown
    # 1 = false
    # 2 = true

    user = {
        'username' : 'nousername',
        'user_agent' : 'unknown',
        'current_exercise' : 0,
        'completed' : False,
        'created' : utcnow(),
        'password' : 'doesntexist',
        'email' : 'no@email.com',
        'is_admin' : False,
        'gender' : "unknown",
        'experience' : 0,
        'years_of_experience' : 0,
        'years_before_university' : 0,
        'first_learned' : "unknown",
        'languages' : {
            'javascript' : 0,
            'python' : 0,
            'cplusplus' : 0,
            'java' : 0,
            'php' : 0,
            'matlab' : 0,
            'other' : "none"
        }
    }

    user_id = users.insert_one(user).inserted_id

    return user

def unique_exercises(exercises):
    resp = []

    for exercise in exercises:
        if len(resp) > 0:
            if (exercise['exercise_id'] == resp[-1]['exercise_id'] and
                exercise['version'] > resp[-1]['version']):
                resp[-1] = exercise
            else:
                resp.append(exercise)

        else:
            resp.append(exercise)

    return resp
